Update a deal
curl --request PUT \
--url https://api.metal.ai/v1/deals/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "<string>",
"companyId": "<string>",
"sector": "<string>",
"size": 123,
"notes": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/deals/{id}"
payload = {
"name": "<string>",
"companyId": "<string>",
"sector": "<string>",
"size": 123,
"notes": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
companyId: '<string>',
sector: '<string>',
size: 123,
notes: '<string>'
})
};
fetch('https://api.metal.ai/v1/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"companyId\": \"<string>\",\n \"sector\": \"<string>\",\n \"size\": 123,\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Update a deal
Updates an existing deal.
PUT
/
v1
/
deals
/
{id}
Update a deal
curl --request PUT \
--url https://api.metal.ai/v1/deals/{id} \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "<string>",
"companyId": "<string>",
"sector": "<string>",
"size": 123,
"notes": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/deals/{id}"
payload = {
"name": "<string>",
"companyId": "<string>",
"sector": "<string>",
"size": 123,
"notes": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
companyId: '<string>',
sector: '<string>',
size: 123,
notes: '<string>'
})
};
fetch('https://api.metal.ai/v1/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"companyId\": \"<string>\",\n \"sector\": \"<string>\",\n \"size\": 123,\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The deal id.
Body
application/json
Fields to update on a deal.
Response
A deal.
Show child attributes
Show child attributes
⌘I

